.m-get-started {
  text-align: center;

  &.-has-margin {
    margin-bottom: 1rem;
  }

  &__icon {
    margin: 0;

    mat-icon {
      vertical-align: bottom;
    }

    button {
      margin-left: 0.5rem;
    }
  }

  &__copy-code-loading {
    width: 6rem;
    height: 1.15rem;
    margin: 1.15rem auto 1.6rem;

    &::after {
      animation-duration: 1.5s;
      background-image: linear-gradient(
        90deg,
        transparent 0%,
        darken(#eee, 7.5%) 15%,
        darken(#eee, 7.5%) 40%,
        transparent 55%
      );
    }

    &.-no-margin {
      margin-bottom: 0.2rem;
    }
  }

  &__share-loading {
    width: 14rem;
    height: 0.95rem;
    margin: 0.4rem auto 0.2rem;

    &::after {
      animation-duration: 1.5s;
      background-image: linear-gradient(
        90deg,
        transparent 0%,
        darken(#eee, 7.5%) 10%,
        darken(#eee, 7.5%) 25%,
        transparent 35%
      );
    }
  }

  &__copy-code-loading,
  &__share-loading {
    overflow: hidden;
    position: relative;
    background-color: var(--black-0);
    border-radius: 0.25rem;

    &::after {
      position: absolute;
      content: "";
      display: block;
      width: 100%;
      top: 0;
      bottom: 0;
      transform: translateX(0);
      animation-name: data-loading;
      animation-iteration-count: infinite;
      animation-timing-function: linear;
    }
  }
}
